#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    string x;
    int a, b;
    cin >> x;
    cin >> a >> b;
    if(abs(a-b) > 1)
        cout << "nemoguce";
    else if(a == b)
        for(int i=0; i<b; ++i)
            cout << x;
    else if (a>b){
        for(int i=0; i<b; ++i)
            cout << x;
    
        cout << x[0];
    }
    else{
        cout << x[1];
        for(int i=0; i<a; ++i)
            cout << x;
    }
    return 0;
}